## Bsoft program

# bmonte

### Usage: bmonte [options] input.pdb output.pdb

Minimizes the energy of a set of molecular structures using a Monte Carlo Metropolis algorithm.
The -grid and -orientation options only work with rigid bodies, not atoms, and their output is to a model parameter file (.star).

### Actions:

-rigid mol | Rigidity: all/whole = single rigid body (default),
| group = each file with a molecule group is a rigid body,
| molecule = each molecule is a rigid body,
| atom = each atom can move.
-concurrent | Run all models simultaneously (default each model separately),
-grid 3.5,5,4.2 | Search on a grid with this sampling and within the bounding box (angstroms).
-orientations 12.5 | Search all orientations with the given angular step size (degrees).

### Parameters:

-verbose 7 | Verbosity of output.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-bbox 0,82.5,50,50,80,50 | Bounding box center and size (default from coordinates or map).
-wrap | Wrap around (periodic boundaries).
-resolution 20 | Resolution limit (angstrom).
-iterations 60 | Maximum number of iterations (default 1).
-Kbond 150 | Bond strength (default 0).
-Kangle 4 | Angle strength (default 0).
-Kvdw 0.1 | Van der Waals strength (default 0).
-Kelectrostatic 0.4 | Electrostatic strength (default 0).
-Kseparation 0.02 | Separation energy constant (default 0).
-Kmap 1.5 | Map energy constant (default 1 if -Map option is used).
-separation 4.5 | Separation distance for overlap calculation (default 4 A).
-cutoff 7.8 | Distance cutoff for non-bonded forces (default 5 A).
-beta 12 | Inverse of mean energy per atom and degree of freedom (default 10).
-angle 1.5 | Maximum angular increment per iteration (default 1 degree).
-shift 3.1 | Maximum shift per iteration (default 1 angstrom).
-bondsteps 5 | Number of steps along a bond for map fitting (default none).
-location 12,5.3,6 | Location of harmonic force to apply to center-of-mass.
-Klocation 16.8,0.2 | Magnitude of harmonic force and decay constant.
-SS 2.05 | Set disulphide reference bond length.

### Input:

-parameters md.star | Molecular dynamics parameter file.
-Model locations.star | Model parameter file with initial rigid body locations.
-Map file.map | Map to use as an additional restraint.
-Mask mask.mrc | Mask to limit grid-searches (must be byte data type).

Bsoft version 2.0.3-20180917 (64 bit)